Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5719 - pam_wheel uses wrong group
Summary: pam_wheel uses wrong group
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-08 10:18 UTC by Matts Kallioniemi
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-06 21:59:18 UTC


Attachments (Terms of Use)

Description Matts Kallioniemi 1999-10-08 10:18:54 UTC
Pam_wheel defaults to use group root, not wheel, if the
group= parameter is not used. Contrary to doc.

The syntax in the doc is also wrong. It refers to the
old /etc/pam.conf configuration file, not /etc/pam.d/*.

/usr/doc/pam-0.68/txts/pam.txt:

"This module is used to enforce the so-called wheel group.
By default, it permits root access to the system if the
applicant user is a member of the wheel group (first, the
module checks for the existence of a 'wheel' group.
Otherwise the module defines the group with group-id 0 to
be the wheel group)."

Comment 1 Matts Kallioniemi 1999-10-08 12:13:59 UTC
This was also reported and discarded as bug #921.

Since the code now checks for WHEEL_IS_WHEEL, that flag should be
defined to make the module work as intended.

Comment 2 Nalin Dahyabhai 2000-01-06 21:59:59 UTC
Fix pulled from current Linux-PAM tree.  Will be fixed in next release.


Note You need to log in before you can comment on or make changes to this bug.